%define subrel	1

Name:		flacon
Version:	0.8.0
Release:	%mkrel 2
Summary:	Audio file splitter and converter
License:	GPLv3+
Group:		Sound/Editors and Converters
URL:		http://code.google.com/p/flacon/
Source0:	http://flacon.googlecode.com/files/%{name}-%{version}.tgz
BuildArch:	noarch
# this changes the default, hardcoded output dir from ~/music
# to the xdg MUSIC user dir returned by xdg-user-dirs
Patch0:		flacon-use-xdg-user-dirs-for-default-output-directory.patch
Requires:	python
Requires:	python-chardet
Requires:	python-qt4-core
Requires:	python-qt4-gui
Requires:	python-qt4-network
Requires:	python-sip
Requires:	shntool
Requires:	xdg-user-dirs
Suggests:	flac
Suggests:	lame
Suggests:	mp3gain
Suggests:	vorbis-tools
Suggests:	vorbisgain
Suggests:	wavpack
#the following are optional de-/encoders, kept only as reminder, DO NOT REMOVE!
#ttaenc		TrueAudio
#mac		MonkeyAudio / APE


%description
Flacon extracts individual tracks from one big audio file containing the entire
album of music and saves them as separate audio files. To do this, it uses
information from the appropriate CUE file. Besides, Flacon makes it possible to
conveniently revise or specify tags both for all tracks at once or for each tag
separately

    Supported input formats: WAV, FLAC, APE, WavPack, True Audio (TTA)
    Supported out formats: FLAC, WAV, WavPack, OGG or MP3
    Replay Gain analysis (album-gain and track-gain modes)
    Multi-threaded conversion process.

%prep
%setup -q
%apply_patches

%install
%makeinstall_std

%find_lang %{name}

%files -n %{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir %{_datadir}/%{name}/translations
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Mar 05 2014 david-david <david-david> 0.8.0-2.1.mga4
+ Revision: 600191
- add missing Requires on python-chardet (mga#12926)

* Sat Oct 19 2013 umeabot <umeabot> 0.8.0-2.mga4
+ Revision: 525532
- Mageia 4 Mass Rebuild

  + fwang <fwang>
    - should be noarch package

* Fri May 31 2013 fwang <fwang> 0.8.0-1.mga4
+ Revision: 433559
- new version 0.8.0

* Fri Jan 11 2013 umeabot <umeabot> 0.6.0-3.mga3
+ Revision: 350470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 barjac <barjac> 0.6.0-2.mga3
+ Revision: 323155
- changed group in line with new policy

* Tue Jan 17 2012 doktor5000 <doktor5000> 0.6.0-1.mga2
+ Revision: 197432
- new version 0.6.0
- added missing Requires on python-qt4-gui,
  python-qt4-network and python-sip
- use xdg-user-dir for default output directory
- fix license to GPLv3+
- imported package flacon

